Lintian Fixes - Statistics

Number of Fixes by Tag

Absorbed fixes are fixes that have either been pushed directly by the Janitor, or have been proposed as a merge request and then merged.

Lintian Tag Previously merged/pushed Ready but not yet merged/pushed
uses-debhelper-compat-file 5701 3544
upstream-metadata-file-is-missing 5383 3772
package-uses-old-debhelper-compat-version 4868 3153
upstream-metadata-missing-bug-tracking 3563 3092
upstream-metadata-missing-repository 2798 2999
out-of-date-standards-version 2858 2845
trailing-whitespace 2024 2200
insecure-copyright-format-uri 1928 1086
package-uses-deprecated-debhelper-compat-version 1661 1037
homepage-field-uses-insecure-uri 636 1111
vcs-obsolete-in-debian-infrastructure 889 789
vcs-field-not-canonical 868 704
debian-changelog-has-wrong-day-of-week 275 359
debian-watch-uses-insecure-uri 322 236
priority-extra-is-replaced-by-priority-optional 356 154
tab-in-license-text 172 336
useless-autoreconf-build-depends 136 368
debian-rules-contains-unnecessary-get-orig-source-target 43 433
older-debian-watch-file-standard 23 311
debian-changelog-line-too-long 204 116
package-lacks-versioned-build-depends-on-debhelper 206 61
renamed-tag 96 133
binary-control-field-duplicates-source 52 166
debian-rules-uses-unnecessary-dh-argument 53 161
debian-rules-sets-dpkg-architecture-variable 79 115
package-needs-versioned-debhelper-build-depends 152 38
unversioned-copyright-format-uri 58 122
public-upstream-key-not-minimal 58 108
team/pkg-perl/testsuite/no-testsuite-header 132 3
uses-deprecated-adttmp 37 86
vcs-field-uses-insecure-uri 14 101
copyright-refers-to-symlink-license 69 41
debian-control-has-unusual-field-spacing 51 59
old-source-override-location 39 56
unused-override 31 54
out-of-date-copyright-format-uri 24 57
copyright-refers-to-versionless-license-file 47 33
debian-watch-file-is-missing 20 54
out-of-date-copyright-format 24 49
debug-symbol-migration-possibly-complete 18 49
older-source-format 21 45
copyright-does-not-refer-to-common-license-file 19 46
global-files-wildcard-not-first-paragraph-in-dep5-copyright 29 35
custom-compression-in-debian-source-options 13 44
tab-in-licence-text 35 21
debhelper-but-no-misc-depends 12 39
field-name-typo-dep5-copyright 31 20
unnecessary-testsuite-autopkgtest-field 34 16
field-name-typo-in-dep5-copyright 13 29
possible-missing-colon-in-closes 33 9
vcs-field-mismatch 10 29
missing-debian-source-format 11 26
debhelper-tools-from-autotools-dev-are-deprecated 9 26
debian-control-has-empty-field 28 6
debian-changelog-file-contains-obsolete-user-emacs-setting 33 0
debian-control-has-obsolete-dbg-package 10 23
patch-file-present-but-not-mentioned-in-series 22 9
copyright-refers-to-versionless-license-file 22 8
missing-build-dependency-for-dh-addon 14 15
obsolete-field-in-dep5-copyright 16 11
ancient-python-version-field 14 11
maintainer-script-without-set-e 12 13
xs-testsuite-field-in-debian-control 20 5
unnecessary-team-upload 19 5
transitional-package-not-oldlibs-optional 5 17
maintainer-script-empty 1 18
unused-license-paragraph-in-dep5-copyright 5 13
debian-rules-missing-recommended-target 6 11
dh-clean-k-is-deprecated 6 11
missing-vcs-browser-field 4 13
font-package-not-multi-arch-foreign 1 15
misspelled-closes-bug 6 10
no-dh-sequencer 13 3
license-file-listed-in-debian-copyright 2 13
missing-built-using-field-for-golang-package 10 5
build-depends-on-obsolete-package 5 8
desktop-entry-contains-encoding-key 2 11
space-in-std-shortname-in-dep5-copyright 8 5
xc-package-type-in-debian-control 4 9
comma-separated-files-in-dep5-copyright 6 6
copyright-not-using-common-license-for-apache2 5 7
systemd-service-file-refers-to-var-run 5 7
no-homepage-field 4 7
autotools-pkg-config-macro-not-cross-compilation-safe 6 3
debian-tests-control-autodep8-is-obsolete 2 7
missing-build-dependency-for-dh_command 6 3
ancient-standards-version 4 3
missing-build-dependency-for-dh_-command 1 6
upstream-metadata-yaml-invalid 1 6
homepage-in-binary-package 3 3
libmodule-build-perl-needs-to-be-in-build-depends 3 3
dh-quilt-addon-but-quilt-source-format 2 3
built-using-field-on-arch-all-package 3 1
debian-pyversions-is-obsolete 4 0
newer-debconf-templates 1 3
vcs-field-bitrotted 1 3
2 1
executable-desktop-file 1 2
obsolete-runtime-tests-restriction 1 2
copyright-should-refer-to-common-license-file-for-apache-2 1 1
debian-pycompat-is-obsolete 2 0
debian-watch-file-uses-deprecated-githubredir 1 1
skip-systemd-native-flag-missing-pre-depends 1 1
vcs-field-uses-not-recommended-uri-format 1 1
copyright-has-crs 1 0
debian-rules-calls-pwd 1 0
init.d-script-needs-depends-on-lsb-base 1 0
maintainer-also-in-uploaders 1 0
public-upstream-keys-in-multiple-locations 1 0
systemd-service-file-refers-to-obsolete-target 1 0
team/pkg-perl/vcs/no-team-url 1 0
wrong-debian-qa-group-name 1 0
Total 36601 30924

Burndown